%global pypi_name pyparsing
%global commitId 6a844ee35ca5125490a28dbd6dd2d15b6498e605

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       2.4.7
Release:       1%{?dist}
Summary:       Python Parsing Module

License:       MIT
URL:           https://github.com/pyparsing/pyparsing
Source0:       python-pyparsing-6a844ee35ca5125490a28dbd6dd2d15b6498e605.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       Python Parsing Module

%description -n python%{python3_pkgversion}-%{pypi_name}
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/__pycache__/%{pypi_name}.cpython-%{python3_version_nodots}*.pyc
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%license LICENSE
%doc CHANGES README.rst

%changelog
* Wed Mar 09 2022 Dimitri Savineau <dsavinea@redhat.com> - 2.4.7-1
- Initial package
